Bug 176054 - ipw2200 associates and gets IP, but no network
ipw2200 associates and gets IP, but no network
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
i686 Linux
medium Severity high
: ---
: ---
Assigned To: John W. Linville
Brian Brock
Depends On:
  Show dependency treegraph
Reported: 2005-12-18 10:04 EST by Horst H. von Brand
Modified: 2007-11-30 17:11 EST (History)
2 users (show)

See Also:
Fixed In Version: 2.6.14-1.1776_FC5
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2005-12-20 15:21:14 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Horst H. von Brand 2005-12-18 10:04:25 EST
Description of problem:
Against a Linksys WRT54G wireless router, with the stock kernel from Linus it
works fine (that's what I'm using right now)

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. boot
2. ifup eth1
Actual results:
Get IP, but no network at all (not even to the router)

Expected results:
Working network

Additional info:
Comment 1 Dave Jones 2005-12-19 23:44:25 EST
*boggle*.  There's no networking or ipw related patches in current rawhide, so
this is a mystery.

Any interesting debug info in dmesg ?

Was your build with the rawhide gcc4.1 ? With CONFIG_OPTIMIZE_FOR_SIZE ?
Comment 2 Horst H. von Brand 2005-12-20 12:21:48 EST
Yes, very strange. 

Didn't look at dmesg, sorry.

I used the stock rawhide kernel du jour, which suddenly broke on me. By now,
that kernel is long gone here :-(

Yes, the vanilla kernel was build with rawhide's gcc, not optimizing for size. 

Haven't tried newer kernels with the wireless network, so I can't tell if they
break. Will check later today.
Comment 3 Horst H. von Brand 2005-12-20 15:21:14 EST
OK, tried now with 2.6.14-1.1776_FC5. No problems.

Sorry for the noise.

Note You need to log in before you can comment on or make changes to this bug.